1.6.6 INSTALLED NOT WORKING: ERROR MESSAGE

I installed 1.6.6, however, it kept on giving error message as under on compiling

Arduino: 1.6.6 (Windows 10), Board: "Arduino/Genuino Uno" Library can't use both 'src' and 'utility' folders. Error compiling.

I had to uninstall and go back to previous version, can anyone help please

The error is supposed to be caused by libraries that have src and utility folders in the library root folder. The utility folder should be inside of the src folder. This error seems to be occurring for some people even when the libraries have the proper folder structure. There is some information from people who have solved the issue here: http://forum.arduino.cc/index.php?topic=357966.0

mandeep255:
I had to uninstall and go back to previous version, can anyone help please

Try this:

  • Sketch > Include Library > Manage Libraries...
  • Close
  • You should see a message in the console that looks something like:
Invalid library found in C:\Program Files (x86)\arduino-1.6.6\libraries\Ethernet: Library can't use both 'src' and 'utility' folders.
  • Open any example under File > Examples > {library name} where {library name} is the library shown in the error message.
  • Sketch > Show Sketch Folder - this will open the example folder that is inside of the library folder that is causing the issue. Look at the library folder and see if it has a src and utility folder in the library root folder. If so then move the utility folder into the src folder. If not then you may need to restructure the library, rename the utility folder, or delete the library.

Please report here on what library caused the error message and what the folder structure of the library was.

in all version fails.
i install 1.6.8 dialy and cant run

maxid:
in all version fails.
i install 1.6.8 dialy and cant run

Please provide more details on what you mean by "cant run".